[CentOS] migration from RHELv5 to CentOS-5

Craig White craigwhite at azapple.com
Tue Oct 30 02:46:51 UTC 2007


On Mon, 2007-10-29 at 03:54 -0500, Johnny Hughes wrote:

> Craig White wrote:
> > running into a snag. Though I could obviously handle it in a variety of
> > different ways, thought I would point this out and see if anyone has a
> > suggestion that I am missing.
> > 
> > Transaction Check Error:
> > file /usr/share/backgrounds/images/default-5_4.jpg from install of
> > desktop-backgrounds-basic-2.0-40.el5.centos conflicts with file from
> > package redhat-logos-4.9.16-1
> >   file /usr/share/backgrounds/images/default-dual-wide.jpg from install
> > of desktop-backgrounds-basic-2.0-40.el5.centos conflicts with file from
> > package redhat-logos-4.9.16-1
> >   file /usr/share/backgrounds/images/default-dual.jpg from install of
> > desktop-backgrounds-basic-2.0-40.el5.centos conflicts with file from
> > package redhat-logos-4.9.16-1
> >   file /usr/share/backgrounds/images/default-wide.jpg from install of
> > desktop-backgrounds-basic-2.0-40.el5.centos conflicts with file from
> > package redhat-logos-4.9.16-1
> >   file /usr/share/backgrounds/images/default.jpg from install of
> > desktop-backgrounds-basic-2.0-40.el5.centos conflicts with file from
> > package redhat-logos-4.9.16-1
> > 
> 
> Craig,
> 
> Install the redhat-logos package from centos and the desktop-backgrounds
> package from centos these 2 packages control the look and fee of the
> distribution and don't really track upstream packages at all.
> 
> You will have to force the redhat-logos install as the upstream version
> has a higher number than CentOS-5 at this time:
> 
> upstream: 4.9.16-1
> centos:   4.9.8-6
> 
> The CentOS version of redhat-logos does not track the upstream version
> (and that is one of 2 packages that _HAS_TO_ be replaced do rebuilding
> entities) so that is why yum will not install it.
> 
> We should probably release a newer version of redhat-logos to make our
> package install instead as an upgrade to the upstream one, but you can
> manually download the package and do:
> 
> rpm -Uvh --force <centos-version>.rpm

----
OK - here's my methodology for upgrading in case it helps someone

cp /etc/redhat-release /etc/redhat-release-saved
rpm -e --nodeps redhat-release-notes \
 redhat-releaserpm \
 yum-rhn-plugin \
 redhat-logos
rpm -ivh \

http://mirror.centos.org/centos/5/os/i386/CentOS/centos-release-5-0.0.el5.centos.2.i386.rpm \

http://mirror.centos.org/centos/5/os/i386/CentOS/centos-release-notes-5.0.0-2.i386.rpm
yum update

Seems to have worked just fine (redhat-logos replaced automatically as a
dependency)

Thanks for the help, sorry about the html but I the long lines were
breaking

Craig
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.centos.org/pipermail/centos/attachments/20071029/ccdff37c/attachment.htm


More information about the CentOS mailing list